Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRenderWindowCollection Class Reference

`#include <vtkRenderWindowCollection.h>`

Inheritance diagram for vtkRenderWindowCollection:

[legend]
Collaboration diagram for vtkRenderWindowCollection:

[legend]
List of all members.

## Detailed Description

a list of RenderWindows

Date:
  2002/08/29 14:51:35

Revision:
  1.27

vtkRenderWindowCollection represents and provides methods to manipulate a list of RenderWindows. The list is unsorted and duplicate entries are not prevented.

See also:
  vtkRenderWindow vtkCollection

Created by:
  - Hoffman, Bill
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (65%)
  - Hoffman, Bill (24%)
  - Cedilnik, Andy (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkRenderWindowCollection.cxx)`
  - .`h` (`/Rendering/vtkRenderWindowCollection.h)`

Definition at line 49 of file vtkRenderWindowCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | AddItem (vtkRenderWindow *a)
vtkRenderWindow * | GetNextItem ()
## Static Public Methods
vtkRenderWindowCollection * | New ()
int | IsTypeOf (const char *type)
vtkRenderWindowCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRenderWindowCollection ()
| ~vtkRenderWindowCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkRenderWindowCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 53 of file vtkRenderWindowCollection.h.

## Constructor & Destructor Documentation

vtkRenderWindowCollection::vtkRenderWindowCollection | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkRenderWindowCollection.h.

vtkRenderWindowCollection::~vtkRenderWindowCollection | ( |  | ) | `[inline, protected]`

| Definition at line 71 of file vtkRenderWindowCollection.h.

## Member Function Documentation

vtkRenderWindowCollection* vtkRenderWindowCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkRenderWindowCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkRenderWindowCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkRenderWindowCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkRenderWindowCollection* vtkRenderWindowCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

virtual void vtkRenderWindowCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkRenderWindowCollection::AddItem | ( | vtkRenderWindow * | a | ) | `[inline]`

| Add a RenderWindow to the list. Definition at line 58 of file vtkRenderWindowCollection.h. References vtkCollection::AddItem().

vtkRenderWindow* vtkRenderWindowCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next RenderWindow in the list. Return NULL when at the end of the list. Definition at line 65 of file vtkRenderWindowCollection.h. References vtkCollection::GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Rendering/vtkRenderWindowCollection.h